package com.huijy.management.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 预警信息发送日志对象 t_early_warning_send_log
 *
 * @author luobo
 * @date 2021-10-04
 */
public class EarlyWarningSendLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 预警信息发送日志Id */
    private Long sendLogId;

    /** 预警信息Id */
    @Excel(name = "预警信息Id")
    private Long earlyWarningId;

    /** 微信公众号openId */
    @Excel(name = "微信公众号openId")
    private String mpOpenId;

    /** 发送结果 */
    @Excel(name = "发送结果")
    private String sendCode;

    /** 发送时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发送时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sendTime;

    /** 微信发送id */
    @Excel(name = "微信发送id")
    private String msgId;

    public void setSendLogId(Long sendLogId)
    {
        this.sendLogId = sendLogId;
    }

    public Long getSendLogId()
    {
        return sendLogId;
    }
    public void setEarlyWarningId(Long earlyWarningId)
    {
        this.earlyWarningId = earlyWarningId;
    }

    public Long getEarlyWarningId()
    {
        return earlyWarningId;
    }
    public void setMpOpenId(String mpOpenId)
    {
        this.mpOpenId = mpOpenId;
    }

    public String getMpOpenId()
    {
        return mpOpenId;
    }
    public void setSendCode(String sendCode)
    {
        this.sendCode = sendCode;
    }

    public String getSendCode()
    {
        return sendCode;
    }
    public void setSendTime(Date sendTime)
    {
        this.sendTime = sendTime;
    }

    public Date getSendTime()
    {
        return sendTime;
    }
    public void setMsgId(String msgId)
    {
        this.msgId = msgId;
    }

    public String getMsgId()
    {
        return msgId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("sendLogId", getSendLogId())
            .append("earlyWarningId", getEarlyWarningId())
            .append("mpOpenId", getMpOpenId())
            .append("sendCode", getSendCode())
            .append("sendTime", getSendTime())
            .append("msgId", getMsgId())
            .toString();
    }
}
